import { ErrorHandler, Injectable, Injector } from '@angular/core';
import { HttpErrorResponse } from '@angular/common/http';
import * as Sentry from '@sentry/angular-ivy';
// import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";

export class GlobalErrorHandler implements ErrorHandler {
  static injector: Injector;
  constructor() {
    Sentry.init({
      dsn: 'https://3dc74a2003aa481d94ddbbb02c74367c@o4505114078871552.ingest.sentry.io/4505114081296384',
      integrations: [
        new Sentry.BrowserTracing({
          routingInstrumentation: Sentry.routingInstrumentation,
        }),
        new Sentry.Replay(),
      ],
      tracesSampleRate: 1.0,
    });
  }

  handleError(error: any) {
    if (error.error instanceof ErrorEvent) {
      this.captureMessage(`Error: ${error.error.message}`)
    } else {
      this.captureException(error);
    }
  }

  captureException(error: any): void {
    Sentry.captureException(error);
  }

  captureMessage(message: string): void {
    Sentry.captureMessage(message);
  }
}
